<?php 
    include '../layouts/session.php';

    include '../layouts/config.php';

// ******************* Categories *************************
if (isset($_POST['addCategorie'])) {

    $categorie=$_POST['categorie'];
    
    //  echo  $code_cat.'</br>'.$categorie;die;
    $verifCode = mysqli_query($link, "SELECT max(code_cat) as lastCode FROM categories");
    
    while ($row = mysqli_fetch_array($verifCode)) { 
        $lastCode=$row['lastCode'];
        }

    if (!empty($lastCode)) {
        $code_cat=$lastCode+1;
    }
    else {
        $code_cat=101;
    }

    $verifIntegrite = mysqli_query($link, "SELECT * FROM categories WHERE categorie='$categorie'");

    if (mysqli_num_rows($verifIntegrite) > 0)
    {
        // $sql =  $link->query("UPDATE contacts SET telephone='$telephone', email='$email', adresse='$adresse' WHERE matricule='$matricule'");

        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Une categorie porte déja ce nom ! ";
        header("Location: ../categories");
    }
    else
    {
    $sql = $link->query("INSERT INTO categories (code_cat,categorie) VALUES ('$code_cat','$categorie')");
        
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Fonction ajoutée avec succès !! ";
        header("Location: ../categories");
    }

 }
//  UPDATE
 if (isset($_POST['updateCategorie'])) {

    $code_cat=$_POST['code_cat'];
    $categorie=$_POST['categorie'];
    
    $sql = $link->query("UPDATE categories SET categorie='$categorie' WHERE code_cat='$code_cat'");

    if ($sql)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Categorie modifiée avec succès !! ";
        header("Location: ../categories");
       
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la mise a jour ";
        header("Location: ../categories");
    }

 }
//  DELETE
 if (isset($_POST['deleteCategorie'])) {

    $code_cat=$_POST['code_cat'];
    
    $sql = mysqli_query($link, "DELETE FROM categories WHERE code_cat='$code_cat'");

    if ($sql)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Catégorie supprimée avec succès !! ";
        header("Location: ../categories");

    }
    else
    {        
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la suppression ! ";
        header("Location: ../categories");
    }

 }
// ****************** Tissus *******************************
 if (isset($_POST['ajouterTissu'])) {

    $code_cat=$_POST['code_cat'];
    $code_fournisseur=$_POST['code_fournisseur'];
    $nom_tissu=$_POST['nom_tissu'];
    $p_a=$_POST['p_a'];
    $p_v=$_POST['p_v'];
    $couleur=$_POST['couleur'];

    //  generation code tissu...
    $verifCode = mysqli_query($link, "SELECT max(code_tissu) as lastCode FROM tissus");
    
    while ($row = mysqli_fetch_array($verifCode)) { 
        $lastCode=$row['lastCode'];
        }

    if (!empty($lastCode)) {
        $code_tissu=$lastCode+1;
    }
    else {
        $code_tissu=201;
    }

    // echo  $code_cat.'</br>';
    // echo  $code_tissu.'</br>';
    // echo  $code_fournisseur.'</br>';
    // echo  $nom_tissu.'</br>';
    // echo  $p_a.'</br>';
    // echo  $p_v.'</br>';
    // echo  $couleur.'</br>';
    // echo  $initials_fournisseur.'</br>';
    // die;

    

    // Persister...
    $verifIntegrite = mysqli_query($link, "SELECT * FROM tissus WHERE nom_cat='$nom_tissu'");

    if (mysqli_num_rows($verifIntegrite) > 0)
    {
        // $sql =  $link->query("UPDATE contacts SET telephone='$telephone', email='$email', adresse='$adresse' WHERE matricule='$matricule'");

        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Une categorie porte déja ce nom ! ";
        header("Location: ../tissus");
    }
    else
    {
    $sql = $link->query("INSERT INTO `tissus` (`code_cat`, `code_tissu`, `code_fournisseur`, `nom_tissu`, `couleur`, `p_a`, `p_v_estimatif`, `date_saisie`) 
    VALUES ('$code_cat', '$code_tissu', '$code_fournisseur', '$nom_tissu', '$couleur', '$p_a', '$p_v', '$date_saisie')");
        
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Fonction ajoutée avec succès !! ";
        header("Location: ../tissus");
    }

}
// ******************* Clients *****************************
// CREATE
if (isset($_POST['addClient'])) {

    $prenom=$_POST['prenom'];
    $nom=$_POST['nom'];
    $genre=$_POST['genre'];
    $telephone=$_POST['telephone'];
    $date_pc=$_POST['date_pc'];


        //  echo  $code_cat.'</br>'.$categorie;die;
        $verifMatricule = mysqli_query($link, "SELECT max(matricule) as lastMat FROM clients");
    
        while ($row = mysqli_fetch_array($verifMatricule)) { 
            $lastMat=$row['lastMat'];
            }
    
        if (!empty($lastMat)) {
            $matricule=$lastMat+1;
        }
        else {
            $matricule=24001;
        }

        // echo $matricule.'</br>';
        // echo $prenom.'</br>';
        // echo $nom.'</br>';
        // echo $telephone.'</br>';
        // echo $date_pc.'</br>';
    
        // die;
    
        $verifIntegrite = mysqli_query($link, "SELECT * FROM clients WHERE telephone='$telephone'");
    
        if (mysqli_num_rows($verifIntegrite) > 0)
        {
            // $sql =  $link->query("UPDATE contacts SET telephone='$telephone', email='$email', adresse='$adresse' WHERE matricule='$matricule'");
    
            $_SESSION['errorMsg']=true;
            $_SESSION['successMsg']=false;
            $_SESSION['message'] ="Un(e) client(e) existe deja avec ce numero! ";
            header("Location: ../clients");
        }
        else
        {
            $sql = $link->query("INSERT INTO `clients` (`matricule`, `prenom`, `nom`, `genre`,`telephone`, `date_c`) 
            VALUES ('$matricule', '$prenom', '$nom', '$genre', '$telephone', '$date_pc')");
            
            $_SESSION['errorMsg']=false;
            $_SESSION['successMsg']=true;
            $_SESSION['message'] ="Client ajouté avec succès !! ";
            header("Location: ../clients");
        }
    
}
// UPDATE
if (isset($_POST['updateClient'])) {

    $matricule=$_POST['matricule'];
    $prenom=$_POST['prenom'];
    $nom=$_POST['nom'];
    $telephone=$_POST['telephone'];
    $date_pc=$_POST['date_pc'];
    $genre=$_POST['genre'];


    // echo $matricule.'</br>';
    // echo $prenom.'</br>';
    // echo $nom.'</br>';
    // echo $telephone.'</br>';
    // echo $date_pc.'</br>';

    // die;
    
    $sql = $link->query("UPDATE `clients` SET prenom='$prenom', nom='$nom', genre='$genre', telephone='$telephone', date_c='$date_pc' WHERE matricule='$matricule'");
    
    if ($sql)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Informations client modifiées avec succès !! ";
        header("Location: ../clients");
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la mise a jour ! ";
        header("Location: ../clients");
    }
    
}
// DELETE
if (isset($_POST['deleteClient'])) {

    $matricule=$_POST['matricule'];

    echo $matricule.'</br>';

    // die;
    
    $sql = $link->query("DELETE FROM `clients` WHERE matricule='$matricule'");
    
    $_SESSION['errorMsg']=false;
    $_SESSION['successMsg']=true;
    $_SESSION['message'] ="Client supprimé avec succès !! ";
    header("Location: ../clients");
    
}
// ******************* Fournisseurs ************************
// CREATE
if (isset($_POST['addFournisseur'])) {

    $nom_fournisseur=$_POST['nom_fournisseur'];
    $pays=$_POST['pays'];
    $telephone=$_POST['telephone'];

    //  echo  $code_cat.'</br>'.$categorie;die;
    $verifCode = mysqli_query($link, "SELECT max(code_fournisseur) as lastCode FROM fournisseurs");

    while ($row = mysqli_fetch_array($verifCode)) { 
        $lastCode=$row['lastCode'];
        }

    if (!empty($lastCode)) {
        $code_fn=$lastCode+1;
    }
    else {
        $code_fn=101;
    }

    // echo $code_fn.'</br>';
    // echo $nom_fournisseur.'</br>';
    // echo $telephone.'</br>';
    // echo $pays.'</br>';
    // echo $date_saisie.'</br>';
    // die;

    $verifIntegrite = mysqli_query($link, "SELECT * FROM fournisseurs WHERE nom_fournisseur='$nom_fournisseur' OR telephone='$telephone'");

    if (mysqli_num_rows($verifIntegrite) > 0)
    {
        // $sql =  $link->query("UPDATE contacts SET telephone='$telephone', email='$email', adresse='$adresse' WHERE matricule='$matricule'");

        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Ce fournisseur existe deja ! ";
        header("Location: ../fournisseurs");
    }
    else
    {
        $sqlInsert = $link->query("INSERT INTO `fournisseurs` (`code_fournisseur`, `nom_fournisseur`, `pays`, `telephone`, `date_creation`) 
        VALUES ('$code_fn', '$nom_fournisseur', '$pays', '$telephone', '$date_saisie')");

        if ($sqlInsert)
        {
            $_SESSION['errorMsg']=false;
            $_SESSION['successMsg']=true;
            $_SESSION['message'] ="Fournisseur ajouté avec succès ! ";
            header("Location: ../fournisseurs");
        }
        else
        {
            $_SESSION['errorMsg']=true;
            $_SESSION['successMsg']=false;
            $_SESSION['message'] ="Echec de l'ajout ! ";
            header("Location: ../fournisseurs");
        }
        
    }
    
}
// UPDATE
if (isset($_POST['updateFournisseur'])) {

    $nom_fournisseur=$_POST['nom_fournisseur'];
    $telephone=$_POST['telephone'];
    $pays=$_POST['pays'];
    $code_fn=$_POST['code_fn'];

    // echo $code_fn.'</br>';
    // echo $nom_fournisseur.'</br>';
    // echo $telephone.'</br>';
    // echo $pays.'</br>';

    // die;
    
    $sql = $link->query("UPDATE `fournisseurs` SET nom_fournisseur='$nom_fournisseur', pays='$pays', telephone='$telephone', date_creation='$date_saisie' WHERE code_fournisseur='$code_fn'");
    
    if ($sql)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Informations fournisseur modifiées avec succès !! ";
        header("Location: ../fournisseurs");
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la mise a jour ! ";
        header("Location: ../fournisseurs");
    }
    
}
// DELETE
if (isset($_POST['deleteFournisseur'])) {

    $code_fn=$_POST['code_fn'];

    // echo $code_fn.'</br>';

    // die;
    
    $sqlDel = $link->query("DELETE FROM `fournisseurs` WHERE code_fournisseur='$code_fn'");
    
    if ($sqlDel)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Fournisseur supprimé avec succès !! ";
        header("Location: ../fournisseurs");
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la suppression ! ";
        header("Location: ../fournisseurs");
    }
    
}
// ******************* Produits ****************************
// CREATE
if (isset($_POST['addProduit'])) {

    $code_f=$_POST['code_f'];
    $code_produit=$_POST['code_p'];
    $code_c=$_POST['code_cat'];
    $nom_produit=$_POST['nom_produit'];
    $p_a=$_POST['p_a'];
    $p_v=$_POST['p_v'];
    $couleur=$_POST['couleur'];

    //  echo  $code_cat.'</br>'.$categorie;die;
    $verifCode = mysqli_query($link, "SELECT max(code_produit) as lastCode FROM produits");

    while ($row = mysqli_fetch_array($verifCode)) { 
        $lastCode=$row['lastCode'];
        }

    if (!empty($lastCode)) {
        $code_p=$lastCode+1;
    }
    else {
        $code_p=201;
    }

    // echo $code_p.'</br>';
    // echo $code_f.'</br>';
    // echo $code_c.'</br>';
    // echo $nom_produit.'</br>';
    // echo $p_a.'</br>';
    // echo $p_v.'</br>';
    // echo $couleur.'</br>';

    // die;

    $verifIntegrite = mysqli_query($link, "SELECT * FROM produits WHERE nom_produit='$nom_produit'");

    if (mysqli_num_rows($verifIntegrite) > 0)
    {
        // $sql =  $link->query("UPDATE contacts SET telephone='$telephone', email='$email', adresse='$adresse' WHERE matricule='$matricule'");

        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Ce produit existe deja ! ";
        header("Location: ../produits");
    }
    else
    {
        $sqlInsert = $link->query("INSERT INTO `produits` (`code_cat`, `code_produit`, `code_fournisseur`, `nom_produit`, `couleur`, `p_a`, `p_v_estimatif`, `date_saisie`) 
        VALUES ('$code_c', '$code_p', '$code_f', '$nom_produit', '$couleur', '$p_a', '$p_v', '$date_saisie')");

        if ($sqlInsert)
        {
            $_SESSION['errorMsg']=false;
            $_SESSION['successMsg']=true;
            $_SESSION['message'] ="Produit ajouté avec succès ! ";
            header("Location: ../produits");
        }
        else
        {
            $_SESSION['errorMsg']=true;
            $_SESSION['successMsg']=false;
            $_SESSION['message'] ="Echec de l'ajout ! ";
            header("Location: ../produits");
        }
        
    }
    
}
// UPDATE
if (isset($_POST['updateProduit'])) {

    $code_f=$_POST['code_f'];
    $code_c=$_POST['code_cat'];
    $code_produit=$_POST['code_p'];
    $nom_produit=$_POST['nom_produit'];
    $p_a=$_POST['p_a'];
    $p_v=$_POST['p_v'];
    $couleur=$_POST['couleur'];

    //  echo  $code_cat.'</br>'.$categorie;die;
    $verifCode = mysqli_query($link, "SELECT max(code_produit) as lastCode FROM produits");

    while ($row = mysqli_fetch_array($verifCode)) { 
        $lastCode=$row['lastCode'];
    }

    if (!empty($lastCode)) {
        $code_p=$lastCode+1;
    }
    else {
        $code_p=201;
    }

    // echo $code_p.'</br>';
    // echo $code_f.'</br>';
    // echo $code_c.'</br>';
    // echo $nom_produit.'</br>';
    // echo $p_a.'</br>';
    // echo $p_v.'</br>';
    // echo $couleur.'</br>';

    // die;
    
    $sql = $link->query("UPDATE `produits` SET code_cat='$code_c', code_fournisseur='$code_f', nom_produit='$nom_produit', couleur='$couleur', p_a='$p_a', p_v_estimatif='$p_v' WHERE code_produit='$code_produit'");
    
    if ($sql)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Produit modifié avec succès !! ";
        header("Location: ../produits");
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la mise a jour ! ";
        header("Location: ../produits");
    }
    
}
// DELETE
if (isset($_POST['deleteProduit'])) {

    $code_produit=$_POST['code_p'];

    // echo $code_fn.'</br>';

    // die;
    
    $sqlDel = $link->query("DELETE FROM `produits` WHERE code_produit='$code_produit'");
    
    if ($sqlDel)
    {
        $_SESSION['errorMsg']=false;
        $_SESSION['successMsg']=true;
        $_SESSION['message'] ="Produit supprimé avec succès !! ";
        header("Location: ../produits");
    }
    else
    {
        $_SESSION['errorMsg']=true;
        $_SESSION['successMsg']=false;
        $_SESSION['message'] ="Echec de la suppression ! ";
        header("Location: ../produits");
    }
    
}
?>